Simplified.ID API: v2

<back to all web services

AddSearch

Sanctions
The following routes are available for this service:
POST/sanctions/addAdd a sanctions search
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
import com.google.gson.annotations.*
import com.google.gson.reflect.*


@DataContract
open class AddSearch : BaseRequest()
{
    @DataMember
    open var request:AddSearchRequest? = null
}

@DataContract
open class BaseRequest : IBaseRequest
{
    /**
    * The authentication credentials
    */
    @DataMember
    @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body")
    override var authentication:Authentication? = null
}

@DataContract
open class Authentication
{
    /**
    * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
    */
    @DataMember
    @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body")
    open var apiUserId:String? = null

    /**
    * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
    */
    @DataMember
    @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body")
    open var apiUserKey:String? = null

    /**
    * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
    */
    @DataMember
    @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body")
    open var userId:String? = null
}

open class AddSearchRequest : IAddSearchRequest
{
    /**
    * If the search should be saved against a single Sub User account, specify their username here
    */
    @ApiMember(Description="If the search should be saved against a single Sub User account, specify their username here")
    override var subUserName:String? = null

    @SerializedName("type") override var Type:String? = null
    override var name:String? = null
    override var country:String? = null
    override var address:String? = null
    override var dateOfBirth:String? = null
    override var nationality:String? = null
    override var reference:String? = null
    open var excludeResults:Boolean? = null
    override var selectedLists:ArrayOfLists? = null
    open var performPepSearch:Boolean? = null
    open var dayOneSearch:Boolean? = null
    /**
    * If the search should be linked to other searches, specify the them here
    */
    @ApiMember(Description="If the search should be linked to other searches, specify the them here")
    override var linkedTo:ArrayOfLinkedTo? = null
}

open class ArrayOfLists : ArrayList<String>()
{
}

open class ArrayOfLinkedTo : ArrayList<LinkedTo>()
{
}

open class LinkedTo
{
    open var clientId:Int? = null
    open var id:Long? = null
    @SerializedName("type") open var Type:String? = null
    open var subtype:String? = null
    open var status:String? = null
    open var description:String? = null
    open var isArchived:Boolean? = null
    open var name:String? = null
    open var date:Date? = null
}

@DataContract
open class AddSearchResponse
{
    @DataMember
    @SerializedName("data") open var Data:AddSearchData? = null
}

open class AddSearchData : BaseResponse(), IBaseSearchResponse
{
    override var linkedTo:ArrayOfLinkedTo? = null
    open var searchRecord:SearchRecord? = null
    open var includesPepSearchRecord:Boolean? = null
    open var pepSearchRecord:PepSearchRecord? = null
}

open class BaseResponse : IBaseDataResponse, IHasResponseStatus
{
    /**
    * The status of the response
    */
    @ApiMember(Description="The status of the response")
    override var responseStatus:ResponseStatus? = null
}

open class ArrayOfResponseError : ArrayList<ResponseError>()
{
}

open class SearchRecord
{
    open var id:Long? = null
    open var searchType:String? = null
    open var dateSearched:Date? = null
    open var dateUpdated:Date? = null
    open var dateArchived:Date? = null
    open var isArchived:Boolean? = null
    open var numOfResults:Int? = null
    open var clientInResults:Boolean? = null
    open var clientNotInResults:Boolean? = null
    open var affectedByUpdate:Boolean? = null
    open var searchCriteria:SearchCriteria? = null
    open var searchResults:SearchResults? = null
    open var searchSources:ArrayList<SearchSource>? = null
    open var listSearchResults:ArrayOfSearchResultEntries? = null
}

open class SearchCriteria
{
    open var name:String? = null
    open var address:String? = null
    open var country:String? = null
    open var dateOfBirth:String? = null
    open var nationality:String? = null
    open var reference:String? = null
}

open class SearchResults
{
    open var euResults:ArrayList<SearchResultEu>? = null
    open var hmtResults:ArrayList<SearchResultHmTreasury>? = null
    open var hmtUkraineResults:ArrayList<SearchResultHmTreasury>? = null
    open var ofacResults:ArrayList<SearchResultOfac>? = null
    open var ofacConsolidatedResults:ArrayList<SearchResultOfac>? = null
    open var dfatResults:ArrayList<SearchResultDfat>? = null
    open var osfiResults:ArrayList<SearchResultOsfi>? = null
    open var canadianJusticeResults:ArrayList<SearchResultCanadianJustice>? = null
    open var canadianSemaResults:ArrayList<SearchResultCanadianSema>? = null
    open var swissSecoResults:ArrayList<SearchResultEntry>? = null
}

open class SearchResultEu
{
    open var resultStrength:Int? = null
    open var resultSimilarity:BigDecimal? = null
    open var resultResolved:Boolean? = null
    open var resultType:String? = null
    open var dateUpdated:Date? = null
    open var addresses:ArrayList<SearchResultEuAddress>? = null
    open var births:ArrayList<SearchResultEuBirth>? = null
    open var citizenships:ArrayList<SearchResultOfacEuCitizenship>? = null
    open var names:ArrayList<SearchResultEuName>? = null
    open var passports:ArrayList<SearchResultEuPassport>? = null
}

open class SearchResultEuAddress
{
    open var street:String? = null
    open var city:String? = null
    open var country:String? = null
    open var postCode:String? = null
    open var other:String? = null
}

open class SearchResultEuBirth
{
    open var date:String? = null
    open var place:String? = null
    open var country:String? = null
}

open class SearchResultOfacEuCitizenship
{
    open var country:String? = null
}

open class SearchResultEuName
{
    open var fullName:String? = null
    open var gender:String? = null
}

open class SearchResultEuPassport
{
    open var number:String? = null
    open var country:String? = null
}

open class SearchResultHmTreasury
{
    open var resultStrength:Int? = null
    open var resultSimilarity:BigDecimal? = null
    open var resultResolved:Boolean? = null
    open var resultType:String? = null
    open var dateListed:Date? = null
    open var dateUpdated:Date? = null
    open var name1:String? = null
    open var name2:String? = null
    open var name3:String? = null
    open var name4:String? = null
    open var name5:String? = null
    open var name6:String? = null
    open var dateOfBirth:String? = null
    open var countryOfBirth:String? = null
    open var nationality:String? = null
    open var address1:String? = null
    open var address2:String? = null
    open var address3:String? = null
    open var address4:String? = null
    open var address5:String? = null
    open var address6:String? = null
    open var postCode:String? = null
    open var country:String? = null
}

open class SearchResultOfac
{
    open var resultStrength:Int? = null
    open var resultSimilarity:BigDecimal? = null
    open var resultResolved:Boolean? = null
    open var resultType:String? = null
    open var dateUpdated:Date? = null
    open var firstName:String? = null
    open var lastName:String? = null
    open var addresses:ArrayList<SearchResultOfacAddress>? = null
    open var akas:ArrayList<SearchResultOfacAka>? = null
    open var dateOfBirths:ArrayList<SearchResultOfacDateOfBirth>? = null
    open var nationalities:ArrayList<SearchResultOfacNationality>? = null
    open var placeOfBirths:ArrayList<SearchResultOfacPlaceOfBirth>? = null
}

open class SearchResultOfacAddress
{
    open var address1:String? = null
    open var address2:String? = null
    open var address3:String? = null
    open var city:String? = null
    open var state:String? = null
    open var postCode:String? = null
    open var country:String? = null
}

open class SearchResultOfacAka
{
    open var firstName:String? = null
    open var lastName:String? = null
    @SerializedName("type") open var Type:String? = null
    open var strength:String? = null
}

open class SearchResultOfacDateOfBirth
{
    open var dateOfBirth:String? = null
}

open class SearchResultOfacNationality
{
    open var country:String? = null
}

open class SearchResultOfacPlaceOfBirth
{
    open var placeOfBirth:String? = null
}

open class SearchResultDfat
{
    open var resultStrength:Int? = null
    open var resultSimilarity:BigDecimal? = null
    open var resultResolved:Boolean? = null
    open var resultType:String? = null
    open var dateUpdated:Date? = null
    open var fullName:String? = null
    open var address:String? = null
    open var dateOfBirth:String? = null
    open var placeOfBirth:String? = null
    open var nationality:String? = null
}

open class SearchResultOsfi
{
    open var resultStrength:Int? = null
    open var resultSimilarity:BigDecimal? = null
    open var resultResolved:Boolean? = null
    open var resultType:String? = null
    open var dateUpdated:Date? = null
    open var fullName:String? = null
    open var address:String? = null
    open var dateOfBirth:String? = null
    open var placeOfBirth:String? = null
    open var nationality:String? = null
}

open class SearchResultCanadianJustice
{
    open var resultStrength:Int? = null
    open var resultSimilarity:BigDecimal? = null
    open var resultResolved:Boolean? = null
    open var resultType:String? = null
    open var dateUpdated:Date? = null
    open var name:String? = null
    open var dateOfBirth:String? = null
    open var country:String? = null
    open var refId:Int? = null
}

open class SearchResultCanadianSema
{
    open var resultStrength:Int? = null
    open var resultSimilarity:BigDecimal? = null
    open var resultResolved:Boolean? = null
    open var resultType:String? = null
    open var dateUpdated:Date? = null
    open var name:String? = null
    open var dateOfBirth:String? = null
    open var country:String? = null
    open var schedule:String? = null
    open var item:String? = null
}

open class SearchResultEntry
{
    open var searchResultId:Long? = null
    open var resultStrength:Int? = null
    open var resultSimilarity:BigDecimal? = null
    open var resultResolved:Boolean? = null
    open var resultType:String? = null
    open var dateUpdated:Date? = null
    open var sanctionsListId:String? = null
    open var sanctionsListName:String? = null
    open var addresses:ArrayList<SearchResultAddress>? = null
    open var datesOfBirth:ArrayList<SearchResultDateOfBirth>? = null
    open var names:ArrayList<SearchResultName>? = null
    open var nationalities:ArrayList<SearchResultNationality>? = null
    open var placesOfBirth:ArrayList<SearchResultPlaceOfBirth>? = null
    open var remarks:ArrayList<SearchResultRemark>? = null
}

open class SearchResultAddress
{
    open var searchResultAddressId:Long? = null
    @SerializedName("type") open var Type:String? = null
    open var address1:String? = null
    open var address2:String? = null
    open var address3:String? = null
    open var city:String? = null
    open var county:String? = null
    open var postCode:String? = null
    open var country:String? = null
}

open class SearchResultDateOfBirth
{
    open var searchResultDateOfBirthId:Long? = null
    open var dateOfBirth:String? = null
    open var year:Short? = null
    open var month:Short? = null
    open var day:Short? = null
    @SerializedName("type") open var Type:String? = null
}

open class SearchResultName
{
    open var searchResultNameId:Long? = null
    @SerializedName("type") open var Type:String? = null
    open var title:String? = null
    open var fullName:String? = null
    open var resultSimilarity:BigDecimal? = null
}

open class SearchResultNationality
{
    open var searchResultNationalityId:Long? = null
    open var nationality:String? = null
}

open class SearchResultPlaceOfBirth
{
    open var searchResultPlaceOfBirthId:Long? = null
    open var placeOfBirth:String? = null
    open var countryOfBirth:String? = null
}

open class SearchResultRemark
{
    open var searchResultRemarkId:Long? = null
    open var name:String? = null
    open var description:String? = null
}

open class SearchSource
{
    open var listId:String? = null
    open var listName:String? = null
    open var listShortName:String? = null
    open var isAffectedByListUpdate:Boolean? = null
}

open class ArrayOfSearchResultEntries : ArrayList<SearchResultEntry>()
{
}

open class PepSearchRecord
{
    open var id:Long? = null
    open var searchType:String? = null
    open var dateSearched:Date? = null
    open var dateUpdated:Date? = null
    open var dateRenewal:Date? = null
    open var dateArchived:Date? = null
    open var isArchived:Boolean? = null
    open var numOfResults:Int? = null
    open var clientInResults:Boolean? = null
    open var clientNotInResults:Boolean? = null
    open var affectedByUpdate:Boolean? = null
    open var isDayOneSearch:Boolean? = null
    open var searchCriteria:SearchCriteria? = null
    open var searchResults:PepSearchResults? = null
}

open class PepSearchResults
{
    open var results:ArrayList<PepSearchResult>? = null
}

open class PepSearchResult
{
    open var resultSimilarity:BigDecimal? = null
    open var resultResolved:Boolean? = null
    open var dateLastUpdated:Date? = null
    open var resultIsClient:Boolean? = null
    open var id:Long? = null
    @SerializedName("type") open var Type:String? = null
    open var title:String? = null
    open var forename:String? = null
    open var middlename:String? = null
    open var surname:String? = null
    open var softDelete:Boolean? = null
    open var dateOfSoftDelete:Date? = null
    open var dateOfCapture:Date? = null
    open var dateOfBirth:Date? = null
    open var dateOfDeath:Date? = null
    open var yearOfBirth:Int? = null
    open var yearOfDeath:Int? = null
    open var gender:String? = null
    open var homeTelephone:String? = null
    open var businessTelephone:String? = null
    open var mobileTelephone:String? = null
    open var fax:String? = null
    open var email:String? = null
    open var nationality:String? = null
    open var source:String? = null
    open var category:String? = null
    open var picture:String? = null
    open var alternateTitle:String? = null
    open var businessName:String? = null
    open var description:String? = null
    open var telephone:String? = null
    open var website:String? = null
    open var pepTier:Int? = null
    open var faceIsMatch:Boolean? = null
    open var faceIsMatchConfidence:BigDecimal? = null
    open var addresses:ArrayList<PepSearchResultAddress>? = null
    open var aliases:ArrayList<PepSearchResultAlias>? = null
    open var articles:ArrayList<PepSearchResultArticle>? = null
    open var associations:ArrayList<PepSearchResultIndividualAssociation>? = null
    open var businessAssociations:ArrayList<PepSearchResultBusinessAssociation>? = null
    open var notes:ArrayList<PepSearchResultNote>? = null
    open var politicalPositions:ArrayList<PepSearchResultPoliticalPosition>? = null
}

open class PepSearchResultAddress
{
    open var addressLine1:String? = null
    open var addressLine2:String? = null
    open var addressLine3:String? = null
    open var addressLine4:String? = null
    open var town:String? = null
    open var county:String? = null
    open var postCode:String? = null
    open var country:String? = null
    open var isoCountry:String? = null
    open var softDelete:Boolean? = null
    open var dateLastUpdated:Date? = null
}

open class PepSearchResultAlias
{
    open var forename:String? = null
    open var middleName:String? = null
    open var surname:String? = null
    open var softDelete:Boolean? = null
    open var dateOfSoftDelete:Date? = null
    open var dateLastUpdated:Date? = null
    open var title:String? = null
    open var alternateTitle:String? = null
    open var businessName:String? = null
}

open class PepSearchResultArticle
{
    open var url:String? = null
    open var originalUrl:String? = null
    open var source:String? = null
    open var dateOfCapture:Date? = null
    open var dateLastUpdated:Date? = null
    open var snippets:ArrayList<PepSearchResultArticleSnippet>? = null
}

open class PepSearchResultArticleSnippet
{
    open var title:String? = null
    open var text:String? = null
    open var adverseTerms:String? = null
}

open class PepSearchResultIndividualAssociation
{
    open var linkDescription:String? = null
    open var softDelete:Boolean? = null
    open var dateLastUpdated:Date? = null
    open var fullName:String? = null
}

open class PepSearchResultBusinessAssociation
{
    open var linkDescription:String? = null
    open var softDelete:Boolean? = null
    open var dateLastUpdated:Date? = null
    open var businessName:String? = null
}

open class PepSearchResultNote
{
    open var source:String? = null
    open var notes:String? = null
    open var softDelete:Boolean? = null
    open var dateLastUpdated:Date? = null
}

open class PepSearchResultPoliticalPosition
{
    open var description:String? = null
    open var from:String? = null
    open var to:String? = null
    open var country:String? = null
    open var softDelete:Boolean? = null
    open var dateLastUpdated:Date? = null
}

Kotlin AddSearch DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /sanctions/add HTTP/1.1 
Host: api.simplified.id 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"request":{"subUserName":"String","type":"String","name":"String","country":"String","address":"String","dateOfBirth":"String","nationality":"String","reference":"String","excludeResults":false,"selectedLists":["String"],"performPepSearch":false,"dayOneSearch":false,"linkedTo":[{"clientId":0,"id":0,"type":"String","subtype":"String","status":"String","description":"String","isArchived":false,"name":"String","date":"\/Date(-62135596800000-0000)\/"}]},"authentication":{"apiUserId":"String","apiUserKey":"String","userId":"String"}}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"data":{"linkedTo":[{"clientId":0,"id":0,"type":"String","subtype":"String","status":"String","description":"String","isArchived":false,"name":"String","date":"\/Date(-62135596800000-0000)\/"}],"searchRecord":{"id":0,"searchType":"String","dateSearched":"\/Date(-62135596800000-0000)\/","dateUpdated":"\/Date(-62135596800000-0000)\/","dateArchived":"\/Date(-62135596800000-0000)\/","isArchived":false,"numOfResults":0,"clientInResults":false,"clientNotInResults":false,"affectedByUpdate":false,"searchCriteria":{"name":"String","address":"String","country":"String","dateOfBirth":"String","nationality":"String","reference":"String"},"searchResults":{"euResults":[{"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateUpdated":"\/Date(-62135596800000-0000)\/","addresses":[{"street":"String","city":"String","country":"String","postCode":"String","other":"String"}],"births":[{"date":"String","place":"String","country":"String"}],"citizenships":[{"country":"String"}],"names":[{"fullName":"String","gender":"String"}],"passports":[{"number":"String","country":"String"}]}],"hmtResults":[{"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateListed":"\/Date(-62135596800000-0000)\/","dateUpdated":"\/Date(-62135596800000-0000)\/","name1":"String","name2":"String","name3":"String","name4":"String","name5":"String","name6":"String","dateOfBirth":"String","countryOfBirth":"String","nationality":"String","address1":"String","address2":"String","address3":"String","address4":"String","address5":"String","address6":"String","postCode":"String","country":"String"}],"hmtUkraineResults":[{"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateListed":"\/Date(-62135596800000-0000)\/","dateUpdated":"\/Date(-62135596800000-0000)\/","name1":"String","name2":"String","name3":"String","name4":"String","name5":"String","name6":"String","dateOfBirth":"String","countryOfBirth":"String","nationality":"String","address1":"String","address2":"String","address3":"String","address4":"String","address5":"String","address6":"String","postCode":"String","country":"String"}],"ofacResults":[{"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateUpdated":"\/Date(-62135596800000-0000)\/","firstName":"String","lastName":"String","addresses":[{"address1":"String","address2":"String","address3":"String","city":"String","state":"String","postCode":"String","country":"String"}],"akas":[{"firstName":"String","lastName":"String","type":"String","strength":"String"}],"dateOfBirths":[{"dateOfBirth":"String"}],"nationalities":[{"country":"String"}],"placeOfBirths":[{"placeOfBirth":"String"}]}],"ofacConsolidatedResults":[{"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateUpdated":"\/Date(-62135596800000-0000)\/","firstName":"String","lastName":"String","addresses":[{"address1":"String","address2":"String","address3":"String","city":"String","state":"String","postCode":"String","country":"String"}],"akas":[{"firstName":"String","lastName":"String","type":"String","strength":"String"}],"dateOfBirths":[{"dateOfBirth":"String"}],"nationalities":[{"country":"String"}],"placeOfBirths":[{"placeOfBirth":"String"}]}],"dfatResults":[{"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateUpdated":"\/Date(-62135596800000-0000)\/","fullName":"String","address":"String","dateOfBirth":"String","placeOfBirth":"String","nationality":"String"}],"osfiResults":[{"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateUpdated":"\/Date(-62135596800000-0000)\/","fullName":"String","address":"String","dateOfBirth":"String","placeOfBirth":"String","nationality":"String"}],"canadianJusticeResults":[{"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateUpdated":"\/Date(-62135596800000-0000)\/","name":"String","dateOfBirth":"String","country":"String","refId":0}],"canadianSemaResults":[{"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateUpdated":"\/Date(-62135596800000-0000)\/","name":"String","dateOfBirth":"String","country":"String","schedule":"String","item":"String"}],"swissSecoResults":[{"searchResultId":0,"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateUpdated":"\/Date(-62135596800000-0000)\/","sanctionsListId":"String","sanctionsListName":"String","addresses":[{"searchResultAddressId":0,"type":"String","address1":"String","address2":"String","address3":"String","city":"String","county":"String","postCode":"String","country":"String"}],"datesOfBirth":[{"searchResultDateOfBirthId":0,"dateOfBirth":"String","year":0,"month":0,"day":0,"type":"String"}],"names":[{"searchResultNameId":0,"type":"String","title":"String","fullName":"String","resultSimilarity":0}],"nationalities":[{"searchResultNationalityId":0,"nationality":"String"}],"placesOfBirth":[{"searchResultPlaceOfBirthId":0,"placeOfBirth":"String","countryOfBirth":"String"}],"remarks":[{"searchResultRemarkId":0,"name":"String","description":"String"}]}]},"searchSources":[{"listId":"String","listName":"String","listShortName":"String","isAffectedByListUpdate":false}],"listSearchResults":[{"searchResultId":0,"resultStrength":0,"resultSimilarity":0,"resultResolved":false,"resultType":"String","dateUpdated":"\/Date(-62135596800000-0000)\/","sanctionsListId":"String","sanctionsListName":"String","addresses":[{"searchResultAddressId":0,"type":"String","address1":"String","address2":"String","address3":"String","city":"String","county":"String","postCode":"String","country":"String"}],"datesOfBirth":[{"searchResultDateOfBirthId":0,"dateOfBirth":"String","year":0,"month":0,"day":0,"type":"String"}],"names":[{"searchResultNameId":0,"type":"String","title":"String","fullName":"String","resultSimilarity":0}],"nationalities":[{"searchResultNationalityId":0,"nationality":"String"}],"placesOfBirth":[{"searchResultPlaceOfBirthId":0,"placeOfBirth":"String","countryOfBirth":"String"}],"remarks":[{"searchResultRemarkId":0,"name":"String","description":"String"}]}]},"includesPepSearchRecord":false,"pepSearchRecord":{"id":0,"searchType":"String","dateSearched":"\/Date(-62135596800000-0000)\/","dateUpdated":"\/Date(-62135596800000-0000)\/","dateRenewal":"\/Date(-62135596800000-0000)\/","dateArchived":"\/Date(-62135596800000-0000)\/","isArchived":false,"numOfResults":0,"clientInResults":false,"clientNotInResults":false,"affectedByUpdate":false,"isDayOneSearch":false,"searchCriteria":{"name":"String","address":"String","country":"String","dateOfBirth":"String","nationality":"String","reference":"String"},"searchResults":{"results":[{"resultSimilarity":0,"resultResolved":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/","resultIsClient":false,"id":0,"type":"String","title":"String","forename":"String","middlename":"String","surname":"String","softDelete":false,"dateOfSoftDelete":"\/Date(-62135596800000-0000)\/","dateOfCapture":"\/Date(-62135596800000-0000)\/","dateOfBirth":"\/Date(-62135596800000-0000)\/","dateOfDeath":"\/Date(-62135596800000-0000)\/","yearOfBirth":0,"yearOfDeath":0,"gender":"String","homeTelephone":"String","businessTelephone":"String","mobileTelephone":"String","fax":"String","email":"String","nationality":"String","source":"String","category":"String","picture":"String","alternateTitle":"String","businessName":"String","description":"String","telephone":"String","website":"String","pepTier":0,"faceIsMatch":false,"faceIsMatchConfidence":0,"addresses":[{"addressLine1":"String","addressLine2":"String","addressLine3":"String","addressLine4":"String","town":"String","county":"String","postCode":"String","country":"String","isoCountry":"String","softDelete":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/"}],"aliases":[{"forename":"String","middleName":"String","surname":"String","softDelete":false,"dateOfSoftDelete":"\/Date(-62135596800000-0000)\/","dateLastUpdated":"\/Date(-62135596800000-0000)\/","title":"String","alternateTitle":"String","businessName":"String"}],"articles":[{"url":"String","originalUrl":"String","source":"String","dateOfCapture":"\/Date(-62135596800000-0000)\/","dateLastUpdated":"\/Date(-62135596800000-0000)\/","snippets":[{"title":"String","text":"String","adverseTerms":"String"}]}],"associations":[{"linkDescription":"String","softDelete":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/","fullName":"String"}],"businessAssociations":[{"linkDescription":"String","softDelete":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/","businessName":"String"}],"notes":[{"source":"String","notes":"String","softDelete":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/"}],"politicalPositions":[{"description":"String","from":"String","to":"String","country":"String","softDelete":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/"}]}]}},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}}